SystemOrganization addCategory: #'Pier-Google'!

PRWidget subclass: #PRGoogleAnalyticsWidget
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Google'!

!PRGoogleAnalyticsWidget class methodsFor: 'accessing-description' stamp: 'lr 4/10/2008 14:17'!
descriptionGoogleUACCT
	^ MAStringDescription new
		comment: 'The string Google Analytics provided you with (e.g. UA-XXXXXXX-Y)';
		accessor: #uacct;
		label: 'uacct';
		priority: 200;
		beSetting;
		yourself! !

!PRGoogleAnalyticsWidget class methodsFor: 'testing' stamp: 'lr 11/14/2007 19:49'!
isAbstract
	^ false! !

!PRGoogleAnalyticsWidget class methodsFor: 'accessing' stamp: 'tg 11/14/2007 13:01'!
label
	^ 'Google Analytics'! !

!PRGoogleAnalyticsWidget methodsFor: 'rendering' stamp: 'tg 12/20/2007 13:46'!
renderContentOn: html
	self uacct isEmptyOrNil ifTrue: [ ^ self ].
	html script: 'var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
document.write(unescape("%3Cscript src=''" + gaJsHost + "google-analytics.com/ga.js'' type=''text/javascript''%3E%3C/script%3E"));'.
	html script: 'var pageTracker = _gat._getTracker(', self uacct printString, ');
pageTracker._initData();
pageTracker._trackPageview();'! !

!PRGoogleAnalyticsWidget methodsFor: 'accessing' stamp: 'tg 11/14/2007 13:12'!
uacct
	^ self read: #descriptionGoogleUACCT! !

PRWidget subclass: #PRWebmasterToolsWidget
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Google'!

!PRWebmasterToolsWidget commentStamp: 'pmm 3/24/2008 11:55' prior: 0!
A PRWebmasterToolsWidget is a widget that helps you to activate your site at Google Webmaster Tools.

https://www.google.com/webmasters/tools/docs/en/about.html

For maximum effect use it together with the Sitemap plugin.
!

!PRWebmasterToolsWidget class methodsFor: 'accessing-description' stamp: 'pmm 3/24/2008 12:09'!
descriptionVerificationKey
	^ MAStringDescription new
		comment: 'The Google Webmaster Tools Verification Key';
		selectorAccessor: #verificationKey;
		label: 'Verification Key';
		priority: 300;
		beSetting;
		yourself! !

!PRWebmasterToolsWidget class methodsFor: 'testing' stamp: 'pmm 3/24/2008 11:58'!
isAbstract
	^ false! !

!PRWebmasterToolsWidget class methodsFor: 'accessing' stamp: 'pmm 3/24/2008 12:00'!
label
	^ 'Google Webmaster Tools'! !

!PRWebmasterToolsWidget methodsFor: 'updating' stamp: 'pmm 3/24/2008 12:06'!
updateRoot: html
	super updateRoot: html.
	self verificationKey isEmptyOrNil ifTrue: [ ^self ].

	html meta
		name: 'verify-v1';
		content: self verificationKey! !

!PRWebmasterToolsWidget methodsFor: 'accessing' stamp: 'pmm 3/24/2008 12:09'!
verificationKey
	^ self read: #descriptionVerificationKey! !
